/*
** joysticks.acepansion public API
*/

#ifndef ACEPANSION_H
#define ACEPANSION_H

#ifndef EXEC_TYPES_H
#include <exec/types.h>
#endif
#ifndef ACEPANSION_PLUGIN_H
#include <acepansion/plugin.h>
#endif


/*
** Generic plugin definition
*/
#define LIBNAME "joysticks.acepansion"
#define VERSION 4
#define REVISION 1
#define DATE "21.10.2023"
#define COPYRIGHT " 2016-2023 Philippe Rimauro"

#define API_VERSION 7


/*
** Joystick plugin specific API to be called from GUI
*/
VOID Plugin_SetJoystick(struct ACEpansionPlugin *plugin, ULONG joystickId, ULONG selectedId);
VOID Plugin_SetJoystickAnalogMode(struct ACEpansionPlugin *plugin, ULONG joystickId, BOOL analogMode);
VOID Plugin_SetJoystickCombinedMode(struct ACEpansionPlugin *plugin, BOOL combinedMode);


#endif /* ACEPANSION_H */

